const { contextBridge, ipcRenderer } = require('electron');

let node = {};

node.send_message = async function (message) {
    let response = await ipcRenderer.invoke("main", message);
    return response;
};

node.on_message = function (callback) {
    ipcRenderer.on("main", callback);
};

contextBridge.exposeInMainWorld('node', node);